use diesel::prelude::*;
use serde::Serialize;

#[derive(Queryable, Selectable, Insertable, Serialize, Debug)]
#[diesel(table_name = crate::schema::services)]
#[diesel(check_for_backend(diesel::sqlite::Sqlite))]
pub struct Services {
	pub url: String,
	pub software: String,
	pub server: String,
	pub ipv6: String,
	pub ipv4: String,
	pub availability_ipv6: String,
	pub availability_ipv4: String,
	pub address_ipv6: String,
	pub address_ipv4: String,
}

#[derive(Queryable, Selectable, Insertable, Serialize, Debug)]
#[diesel(table_name = crate::schema::scans)]
#[diesel(check_for_backend(diesel::sqlite::Sqlite))]
pub struct Scans {
	pub id: Option<i32>,
	pub installation: String,
	pub timestamp: i64,
	pub result_ipv6: String,
	pub result_ipv4: String,
}
